﻿using PolyColumn.Connector;
using PolyColumn.DataModels;

PolyColumnDataModel? polyColumnDataModel = null;

// Open Model in PolyColumn
using (var polyColumn = new PolyColumnConnection())
{
    polyColumn.Open();

    Console.WriteLine("Make modifications to the model directly in the PolyColumn UI. Press any key to continue.");
    Console.ReadKey();

    polyColumnDataModel = polyColumn.RetrieveModel();
    if(polyColumnDataModel != null) Console.WriteLine("Model was retrieved successfully.");

    polyColumn?.CloseApplication();
}

Console.WriteLine("Press any key to exit.");
Console.ReadKey();
